import { ClientUser, Message, TextChannel } from 'discord.js';

export const transferPin = async (
  reply: Message, pinTextChannel: TextChannel, silent = false,
): Promise<void> => {
  await pinTextChannel.send({
    content: `\`${reply.createdAt.toISOString()}\` ${silent
      ? reply.author.username
      : reply.author.toString()}:
  
  ${reply.content}`,
    files: Array.from(reply.attachments.values()),
  });
};

export const getCommandPattern = (clientUser: ClientUser, commandName: string): string => (
  `<@!${clientUser.id}> ${commandName.toLowerCase()}`
);

export const log = (...args: unknown[]): void => {
  // eslint-disable-next-line no-console
  console.log(...args);
};
